package com.ruoyi.app.pay;

import com.alipay.api.AlipayApiException;
import com.ijpay.alipay.AliPayApiConfig;
import com.ruoyi.common.core.controller.BaseController;

/**
 * @author Javen
 */
public abstract class AbstractAliPayApiController extends BaseController {
    /**
     * 获取支付宝配置
     *
     * @return {@link AliPayApiConfig} 支付宝配置
     * @throws AlipayApiException 支付宝 Api 异常
     */
    public abstract AliPayApiConfig getApiConfig() throws AlipayApiException;
}
