package com.ruoyi.common.utils;

import cn.hutool.extra.pinyin.PinyinUtil;

/**
 * 字母编码
 */
public class CodeUtil {

    /**
     * 获取字符串的第一个大写字母
     * @param str
     * @return
     */
    public static String getOneLetter(String str){
        if (org.apache.commons.lang3.StringUtils.isBlank(str)) {
            return str;
        }
        String code = PinyinUtil.getFirstLetter(str, "").toUpperCase();
        String first = StringUtils.substring(code,0,1);
        // 判断是否为字母
        if (!test(first)) {
            return "#";
        }
        return first;
    }

    public static String getFirstLetter(String str) {
        if (org.apache.commons.lang3.StringUtils.isBlank(str)) {
            return str;
        }
        String code = PinyinUtil.getFirstLetter(str, "").toUpperCase();
        return code;
    }

    /**
     * 判断是否为字母
     * @param s
     * @return
     */
    public static boolean test(String s) {
        char c = s.charAt(0);
        int i = (int)c;
        if((i>=65&&i<=90)||(i>=97&&i<=122)) {
            return   true;
        } else {
            return   false;
        }
    }
}
