package com.ruoyi.app.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel(value = "登录用户")
public class AppLoginVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value="手机号")
    String mobile;
    @ApiModelProperty(value="验证码")
    String captcha;
    @ApiModelProperty(value="微信openid")
    String openid;
    @ApiModelProperty(value="头像")
    String avatar;
    @ApiModelProperty(value="昵称")
    String nickName;
    @ApiModelProperty(value="个推客户端id")
    String clientId;
}
