package com.ruoyi.app.family.photo.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.app.family.photo.domain.TbFamilyPhoto;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

/**
 * 家族相簿照片
 *
 * @author luobo
 * @date 2020-10-14
 */
public interface ITbFamilyPhotoService extends IService<TbFamilyPhoto> {


    List<TbFamilyPhoto> queryList(TbFamilyPhoto entity);

    TbFamilyPhoto getEntityById(Long id);


    Integer getAlbumPhotoCount(Long albumId);

    /**
     * 批量上传图片
     * @param albumId
     * @param files
     * @param modName
     * @return
     */
    Boolean batchUpload(Long userId,Long albumId, MultipartFile[] files, String modName) ;
}
