package com.ruoyi.app.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.ruoyi.app.domain.TbMyFriends;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 我的好友
 *
 * @author Alex
 * @date 2020-10-05
 */
public interface TbMyFriendsMapper extends BaseMapper<TbMyFriends> {

//    @Select("select f.*,(select u.nick_name from tb_app_user u where f.friends_user_id = u.id) nick_name from tb_my_friends f ${ew.customSqlSegment}")
//    List<TbMyFriends> listFriends(@Param(Constants.WRAPPER) LambdaQueryWrapper<TbMyFriends> friendsLambdaQueryWrapper);


    List<TbMyFriends> listFriends(@Param("id") Long uid, @Param("status") String status, @Param("search") String search);
    List<TbMyFriends> selectApply(@Param(Constants.WRAPPER) LambdaQueryWrapper<TbMyFriends> wrapper);

}
