package com.ruoyi.app.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.ruoyi.app.domain.TbFamily;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.app.domain.vo.AppFamilyVo;
import com.ruoyi.app.domain.vo.AppMemberVo;
import com.ruoyi.common.core.domain.AjaxResult;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 家族Service接口
 *
 * @author Alex
 * @date 2020-09-28
 */
public interface ITbFamilyService extends IService<TbFamily> {

    List<TbFamily> selectByUserId(Long uid);
    List<AppFamilyVo> selectByMemberId(Long mid);
    List<AppFamilyVo> pageList(LambdaQueryWrapper<TbFamily> wrapper);
    boolean saveFamily(TbFamily family);
    TbFamily myFamily(Long memberId);
    boolean change(Long memberId,Long familyId);
    AjaxResult applyFamily(AppMemberVo memberVo);
    int getApplyCount(Long familyId);

}
