package com.ruoyi.app.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.ruoyi.app.domain.TbPublishThumbs;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.app.mapper.TbMemberMiddleMapper;
import com.ruoyi.app.domain.TbMemberMiddle;
import com.ruoyi.app.service.ITbMemberMiddleService;

import java.util.List;

/**
 * 家族/成员
 *
 * @author Alex
 * @date 2020-10-08
 */
@Service
public class TbMemberMiddleServiceImpl extends ServiceImpl<TbMemberMiddleMapper, TbMemberMiddle> implements ITbMemberMiddleService {

    /**
     * 根据成员ids获取申请列表
     * @param wrapper
     * @return
     */
    @Override
    public List<TbMemberMiddle> selectApplyMember(LambdaQueryWrapper<TbMemberMiddle> wrapper) {
        return baseMapper.selectApplyMember(wrapper);
    }
}
