package com.ruoyi.app.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.ruoyi.app.domain.TbMyPublish;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.app.mapper.TbPublishThumbsMapper;
import com.ruoyi.app.domain.TbPublishThumbs;
import com.ruoyi.app.service.ITbPublishThumbsService;

import java.util.List;

/**
 * 我的近况点赞记录
 *
 * @author Administrator
 * @date 2020-10-03
 */
@Service
public class TbPublishThumbsServiceImpl extends ServiceImpl<TbPublishThumbsMapper, TbPublishThumbs> implements ITbPublishThumbsService {

    /**
     * 查询点赞列表
     * @param wrapper
     * @return
     */
    @Override
    public List<TbPublishThumbs> selectList(LambdaQueryWrapper<TbPublishThumbs> wrapper) {
        return baseMapper.selectAll(wrapper);
    }
}
