package com.ruoyi.app.shop.orders.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.app.shop.orders.domain.TbOrders;

import java.util.List;

/**
 * 订单
 *
 * @author lsw
 * @date 2020-10-13
 */
public interface TbOrdersMapper extends BaseMapper<TbOrders> {
    public List<TbOrders> selectTbOrdersList(TbOrders orders);

    /**
     * 查询用户订单
     *
     * @param orders
     * @return
     */
    public List<TbOrders> selectTbOrdersListByUser(TbOrders orders);

    /**
     * 通过订单号查询订单
     *
     * @param orderNum
     * @return
     */
    public TbOrders selectTbOrdersByOrderNum(String orderNum);

    public TbOrders selectTbOrdersById(Long id);
}
