package com.ruoyi.app.shop.orders.service.impl;

import com.ruoyi.app.shop.orders.domain.TbOrders;
import com.ruoyi.app.shop.orders.mapper.TbOrdersMapper;
import com.ruoyi.app.shop.orders.service.ITbOrdersService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

/**
 * 订单
 *
 * @author lsw
 * @date 2020-10-13
 */
@Service
public class TbOrdersServiceImpl extends ServiceImpl<TbOrdersMapper, TbOrders> implements ITbOrdersService {

    @Autowired
    TbOrdersMapper mapper;

    @Override
    public List<TbOrders> selectTbOrdersList(TbOrders orders) {
        return mapper.selectTbOrdersList(orders);
    }

    @Override
    public List<TbOrders> selectTbOrdersListByUser(TbOrders orders) {
        return mapper.selectTbOrdersListByUser(orders);
    }

    @Override
    public TbOrders selectTbOrdersByOrderNum(String orderNum) {
        return mapper.selectTbOrdersByOrderNum(orderNum);
    }

    @Override
    public TbOrders selectTbOrdersById(Long id) {
        return mapper.selectTbOrdersById(id);
    }
}
