package com.ruoyi.app.shop.type.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.app.shop.type.domain.TbGoodsType;
import com.ruoyi.app.shop.type.mapper.TbGoodsTypeMapper;
import com.ruoyi.app.shop.type.service.ITbGoodsTypeService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 商品类型
 *
 * @author lishuwen
 * @date 2020-10-02
 */
@Service
public class TbGoodsTypeServiceImpl extends ServiceImpl<TbGoodsTypeMapper, TbGoodsType> implements ITbGoodsTypeService {

    public List<TbGoodsType> typeList() {
        return list(new QueryWrapper<TbGoodsType>().eq("state", 0).orderByDesc("id"));
    }
}
