package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.TPersonalPage;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * 个人页Mapper接口
 *
 * @author Alex
 * @date 2020-09-16
 */
public interface TPersonalPageMapper extends BaseMapper<TPersonalPage> {
    /**
     * 修改头像
     *
     * @param id 个人id
     * @param avatar 头像地址
     */
    int updateAvatar(@Param("id") Long id, @Param("avatar") String avatar);

}
