package com.ruoyi.web.core.words;

import org.springframework.core.io.ClassPathResource;

import java.io.*;
import java.util.ArrayList;
import java.util.List;

public class SensitiveWords {

    /**
     * 替换
     * @param test
     * @return
     */
    public static String replace(String test){
        // 讲txt文件放在项目根目录
        List<String> list =loadKeywords(new File("sensi_words.txt"));
        IllegalWordsSearch iwords = new IllegalWordsSearch();
        iwords.SetKeywords(list);
        return iwords.Replace(test);
    }

    /**
     * 加载敏感词txt文件
     * @param file
     * @return
     */
    public static List<String> loadKeywords(File file){
        List<String> keyArray = new ArrayList<>();
        try{
            //构造一个BufferedReader类来读取文件
            BufferedReader br = new BufferedReader(new FileReader(file));
            String s = null;
            //使用readLine方法，一次读一行
            while((s = br.readLine())!=null){
                keyArray.add(s);
            }
            br.close();
        }catch(Exception e){
            e.printStackTrace();
        }
        return keyArray;
    }
}
