package com.ruoyi.app.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 家族大事件图片
 * 
 * @author liuhj
 * @date 2020-10-21
 */
@Data
@ApiModel(value = "家族大事件图片")
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("tb_events_img")
public class TbEventsImg implements Serializable {

    private static final long serialVersionUID=1L;


    /** ID */
    @ApiModelProperty(value="ID")
    @TableId(value = "id")
    private Long id;

    /** 大事件id */
    @ApiModelProperty(value="大事件id")
    @Excel(name = "大事件id")
    private Long eventsId;

    /** 图片url */
    @ApiModelProperty(value="图片url")
    @Excel(name = "图片url")
    private String url;
}
