package com.ruoyi.app.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 个人详情图片
 * 
 * @author Alex
 * @date 2020-11-05
 */
@Data
@ApiModel(value = "个人详情图片")
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("tb_profile_img")
public class TbProfileImg implements Serializable {

    private static final long serialVersionUID=1L;


    /** 主键ID */
    @ApiModelProperty(value="主键ID")
    @TableId(value = "id")
    private Long id;

    /** 详情id */
    @ApiModelProperty(value="详情id")
    @Excel(name = "详情id")
    private Long profileId;

    /** 图片 */
    @ApiModelProperty(value="图片")
    @Excel(name = "图片")
    private String url;
}
