package com.ruoyi.app.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 我的状况图片
 * 
 * @author Administrator
 * @date 2020-10-02
 */
@Data
@ApiModel(value = "我的状况图片")
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("tb_publish_img")
public class TbPublishImg implements Serializable {

    private static final long serialVersionUID=1L;


    /** 主键地 */
    @ApiModelProperty(value="主键地")
    @TableId(value = "id")
    private Long id;

    /** 我的状况id */
    @ApiModelProperty(value="我的状况id")
    @Excel(name = "我的状况id")
    private Long publishId;

    /** 图片url */
    @ApiModelProperty(value="图片url")
    @Excel(name = "图片url")
    private String url;
}
