package com.ruoyi.app.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@ApiModel("检查app版本")
public class CheckAppForm {

    @ApiModelProperty("平台；1、安卓 2、苹果")
    @NotNull(message = "平台类型不能为空")
    private Integer platformType=1;
    @ApiModelProperty("包名")
    @NotBlank(message = "包名不能为空")
    private String packageName;
    @ApiModelProperty("手机当前版本号")
    @NotBlank(message = "手机当前版本号不能为空")
    private String versionCode="1";
}
