package com.ruoyi.app.domain.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class AppFamilyVo extends BaseEntity {

    @ApiModelProperty(value="家族id")
    private Long id;
    @ApiModelProperty(value="中间表id")
    private Long middleId;
    @ApiModelProperty(value="成员id")
    private Long memberId;
    @ApiModelProperty(value="会员id")
    private Long userId;

    /** 家族ID */
    @ApiModelProperty(value="家族ID")
    private String code;

    /** 姓氏 */
    @ApiModelProperty(value="姓氏")
    private String name;

    /** 家族全称 */
    @ApiModelProperty(value="家族全称")
    private String fullName;

    /** 祖籍 */
    @ApiModelProperty(value="祖籍")
    private String hometown;

    /** 所在城市 */
    @ApiModelProperty(value="所在城市")
    private String city;

    /** 家族地址编码 */
    @ApiModelProperty(value="家族地址编码")
    private String addressCode;

    /** 家族地址 */
    @ApiModelProperty(value="家族地址")
    private String address;

    /** 家族描述 */
    @ApiModelProperty(value="家族描述")
    private String contents;

    /** 家族头像url */
    @ApiModelProperty(value="家族头像url")
    private String avatar;

    @ApiModelProperty(value="创建者")
    private String createName;

    @ApiModelProperty(value="是否默认  Y是  N否")
    private String acquiesce;

    @ApiModelProperty(value="是否创建者  Y是  N否")
    private String patriarch;
}
