package com.ruoyi.app.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.ruoyi.app.domain.TbFamily;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.app.domain.vo.AppFamilyVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 家族Mapper接口
 *
 * @author ruoyi
 * @date 2020-09-28
 */
public interface TbFamilyMapper extends BaseMapper<TbFamily> {

    List<TbFamily> selectByUserId(@Param("userId") Long uid);
    List<AppFamilyVo> selectByMemberId(@Param("memberId") Long mid);
    List<AppFamilyVo> pageList(@Param(Constants.WRAPPER) LambdaQueryWrapper<TbFamily> wrapper);
}
