package com.ruoyi.app.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.ruoyi.app.domain.TbFamilyMember;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.app.domain.TbMyPublish;
import com.ruoyi.app.domain.vo.AppMemberVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 家族成员Mapper接口
 *
 * @author Administrator
 * @date 2020-09-29
 */
public interface TbFamilyMemberMapper extends BaseMapper<TbFamilyMember> {

    List<AppMemberVo> selectFamilyMember(@Param(Constants.WRAPPER) LambdaQueryWrapper<AppMemberVo> wrapper);
    List<AppMemberVo> selectFamilyTree(@Param(Constants.WRAPPER) LambdaQueryWrapper<AppMemberVo> wrapper);
}
