package com.ruoyi.app.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.ruoyi.app.domain.TbMyPublish;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 我的近况（发表）Mapper接口
 *
 * @author Administrator
 * @date 2020-10-02
 */
public interface TbMyPublishMapper extends BaseMapper<TbMyPublish> {

    /**
     * 我的近况列表
     * @param wrapper
     * @return
     */
    List<TbMyPublish> pageList(@Param(Constants.WRAPPER) LambdaQueryWrapper<TbMyPublish> wrapper);

    /**
     * 族友圈列表
     * @param appUserId
     * @param familyId
     * @return
     */
    List<TbMyPublish> selectPublish(@Param("appUserId") Long appUserId, @Param("familyId") Long familyId);
}
