package com.ruoyi.app.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.app.domain.TbAppUser;
import com.ruoyi.app.domain.TbMyPublish;
import com.ruoyi.app.domain.vo.AppMemberVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 会员Service接口
 *
 * @author Alex
 * @date 2020-09-24
 */
public interface ITbAppUserService extends IService<TbAppUser> {

    List<AppMemberVo> selectAppMembers(String enable, String search, String beginTime, String endTime);

    List<AppMemberVo> selectMembers(List<Long> memberIds);

    boolean saveOrUpdate(AppMemberVo memberVo);

    AppMemberVo getAppMember(String id,String search);

    AppMemberVo getMember(String type,String id,String search);
}
