package com.ruoyi.app.service;

import com.ruoyi.app.domain.TbFamilyEvents;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 家族大事件
 *
 * @author liuhj
 * @date 2020-10-14
 */
public interface ITbFamilyEventsService extends IService<TbFamilyEvents> {
    List<TbFamilyEvents> queryList(TbFamilyEvents entity);

    TbFamilyEvents getFamilyEvents(Long id);

    /**
     * 根据familyId删除大事件
     * @param familyId
     * @return
     */
    public int deleteTbFamilyEventsByFamilyId(Long familyId);

}
