package com.ruoyi.app.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.ruoyi.app.domain.TbMyFriends;
import com.baomidou.mybatisplus.extension.service.IService;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 我的好友
 *
 * @author Alex
 * @date 2020-10-05
 */
public interface ITbMyFriendsService extends IService<TbMyFriends> {

    List<TbMyFriends> pageList(TbMyFriends friends);
    TbMyFriends getByUid(Long userId, Long friendId);
    List<TbMyFriends> selectApply(LambdaQueryWrapper<TbMyFriends> wrapper);
    int getApplyCount(Long userId);
}
