package com.ruoyi.app.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.app.domain.TbMyPublish;
import com.ruoyi.app.domain.TbPublishComment;
import com.ruoyi.common.core.page.TableDataInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 我的近况（我的发）Service接口
 *
 * @author Administrator
 * @date 2020-10-02
 */
public interface ITbMyPublishService extends IService<TbMyPublish> {

    List<TbMyPublish> pageList(TbMyPublish tbMyPublish);
    TbMyPublish getPublish(Long id);
    TbMyPublish getPublish(Long id, Long appUserId);
    boolean delPublish(List<Long> ids);
    int getThumbs(Long publishId);
    int getComments(Long publishId);
    List<TbPublishComment> listComment(Long publishId);
    boolean delComment(Long id);
    /**
     * 族友圈列表
     */
    List<TbMyPublish> selectPublish(Long appUserId, Long familyId);

    /**
     * 获取我的所有好友、族友
     * @param appUserId
     * @param familyId
     * @return
     */
    List<Long> getMyFrientIds(Long appUserId, Long familyId);
}
