package com.ruoyi.app.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.app.domain.TbNews;
import com.ruoyi.app.mapper.TbNewsMapper;
import com.ruoyi.app.service.ITbNewsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 资讯
 *
 * @author lsw
 * @date 2020-10-12
 */
@Service
public class TbNewsServiceImpl extends ServiceImpl<TbNewsMapper, TbNews> implements ITbNewsService {
    @Autowired
    TbNewsMapper mapper;

    @Override
    public List<TbNews> selectTbNewsList() {
        return mapper.selectTbNewsList();
    }
}
