package com.ruoyi.app.shop.goods.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.app.shop.goods.domain.TbGoods;
import com.ruoyi.app.shop.goods.mapper.TbGoodsMapper;
import com.ruoyi.app.shop.goods.service.ITbGoodsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 商品
 *
 * @author lishuwen
 * @date 2020-10-02
 */
@Service
public class TbGoodsServiceImpl extends ServiceImpl<TbGoodsMapper, TbGoods> implements ITbGoodsService {

    @Autowired
    TbGoodsMapper mapper;

    @Override
    public List<TbGoods> selectTbGoodsList(TbGoods tbGoods) {
        return mapper.selectTbGoodsList(tbGoods);
    }
}
