package com.ruoyi.system.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.system.mapper.TPersonalPageMapper;
import com.ruoyi.system.domain.TPersonalPage;
import com.ruoyi.system.service.ITPersonalPageService;

/**
 * 个人页Service业务层处理
 *
 * @author Alex
 * @date 2020-09-16
 */
@Service
public class TPersonalPageServiceImpl extends ServiceImpl<TPersonalPageMapper, TPersonalPage> implements ITPersonalPageService {
    @Autowired
    private TPersonalPageMapper tPersonalPageMapper;

    @Override
    public boolean updateAvatar(Long id, String avatar){
        return tPersonalPageMapper.updateAvatar(id,avatar) > 0;
    }


}
