#!/bin/bash

cd   /usr/app/lineage/

deploy_path="/usr/app/lineage/"
upload_path="/usr/app/lineage/bak/upload/"
history_path="/usr/app/lineage/bak/history/"

back(){
  if [ ! -d "$deploy_path" ]; then
    mkdir $deploy_path
  fi
  if [ ! -d "$upload_path" ]; then
    mkdir $upload_path
  fi
  if [ ! -d "$history_path" ]; then
    mkdir $history_path
  fi
  
 if [  -f "$upload_path$1" ];then
      echo "开始备份"
      datetime=`date +%Y%m%d-%H%M%S`

      if [  -f "$deloy_path$1" ];then
          mv  "$deloy_path$1"  "$history_path$1-$datetime"
      fi

      mv $upload_path$1 $deploy_path
      echo "完成文件备份"
  fi
}

start(){
  APP_NAME="$1";
  back $APP_NAME
  if [ ! -f "$deploy_path$APP_NAME" ];then
      echo "没有找到$APP_NAME启动文件！"
      return
  fi

  pid=$(ps -ef | grep -v 'grep' | egrep $APP_NAME| awk '{printf $2 " "}')
  
  if [ -z "${pid}" ]; then
    nohup java $2 -jar $deploy_path$APP_NAME >>/dev/null 2>&1 &
  else
    echo "项目$1已经启动,进程pid是${pid}！"
    echo "现在开始关闭进程，重启$APP_NAME！"
    kill -9 $pid
    nohup java $2 -jar $deploy_path$APP_NAME >>/dev/null 2>&1 &
  fi
}

start ruoyi-app.jar "-Xms256m -Xmx500m"